Subject: bug#39318: [core-updates] 'make-desktop-entry-file' is not exported

From: Marius Bakke <[email-masked]>
Date: Thu, 30 Jan 2020 22:35:11 +0100

Pierre Neidhardt <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Obviously the CI system can not offer substitutes in advance for a
>> world-rebuilding change!  :-)
>>
>> I feel slightly offended by being asked to try your untested patch.  Are
>> you under the impression that I _don't_ have to rebuild the world?
>
> Duh, my bad, sorry I was probably too distracted with other things at
> Guix Days, I completely missed that the world obviously had to be rebuilt.
> I guess I'm not used to dealing with core-updates :p
>
> Actually, this brings up a genuine question: how do you test core-updates
> for these type of changes?  Do we really have a rebuild the whole thing on
> every iteration?

Changing (guix build utils) is an extreme case, but pretty much.  I keep
a TODO list of things I want to do on that branch, and once it gets big
enough, I try to implement all at once before starting the Big Rebuild.

Then go do something else until a node in the graph fails to build.
Berlin typically has substitutes all the way up to 'guix', so it's "not
that bad" unless you are changing the really low layers.

> Cheers, and sorry for the mishaps!

No worries, and sorry for the angry comment.  :-)